Subject: bug#60194: Guix (package manager) fails in initramfs

From: Ludovic Courtès <[email-masked]>
Date: Mon, 19 Dec 2022 15:22:37 +0100

Hi,

guix question <[email-masked]> skribis:

> Because guix relies on pivot_root, it doesn't work in initramfs. Could it
> be modified to use something else (chroot? switch_root?) to allow for this?

Could you clarify what you’re doing?  You’re trying to run guix-daemon
and guix in the initramfs of some distro, is that correct?

I don’t think guix-daemon can do away with ‘pivot_root’ though.

Thanks,
Ludo’.